Bug 241983 - KDevelop crashed - closing a file
Summary: KDevelop crashed - closing a file
Status: RESOLVED FIXED
Alias: None
Product: kdevelop
Classification: Unclassified
Component: general (show other bugs)
Version: git master
Platform: Compiled Sources Linux
: NOR crash (vote)
Target Milestone: ---
Assignee: kdevelop-bugs-null
URL:
Keywords:
: 241299 242163 242643 (view as bug list)
Depends on:
Blocks:
 
Reported: 2010-06-17 13:15 UTC by Vishesh Handa
Modified: 2010-07-02 23:48 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Vishesh Handa 2010-06-17 13:15:48 UTC
Application: kdevelop (4.0.60)
KDE Platform Version: 4.4.85 (KDE 4.4.85 (KDE 4.5 Beta2)) (Compiled from sources)
Qt Version: 4.6.2
Operating System: Linux 2.6.32-22-generic i686
Distribution: Ubuntu 10.04 LTS

-- Information about the crash:
- What I was doing when the application crashed:
This hapens sometimes. When I close one of the files open by clicking on the X sign on the tab bar, kdevelop crashes. It's kinda annyoing. It's happened 5-10 times now, but it's rather unpredictable.

I'm using the latest KDevelop from git. "git show" gives me -
commit 21d78fbdfeb6620bfaf42711dd9078c7044625f0

The crash can be reproduced some of the time.

-- Backtrace:
Application: KDevelop (kdevelop), signal: Segmentation fault
[Current thread is 1 (Thread 0xb7861710 (LWP 13806))]

Thread 13 (Thread 0xb4ebdb70 (LWP 13807)):
#0  0x008d7422 in __kernel_vsyscall ()
#1  0x004b3342 in pthread_cond_timedwait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/i386/i686/../i486/pthread_cond_timedwait.S:179
#2  0x0161920f in QWaitConditionPrivate::wait (this=0xa3168dc, mutex=0xa3168e0, time=200000) at thread/qwaitcondition_unix.cpp:85
#3  QWaitCondition::wait (this=0xa3168dc, mutex=0xa3168e0, time=200000) at thread/qwaitcondition_unix.cpp:159
#4  0x025b6385 in KDevelop::DUChainPrivate::CleanupThread::run (this=0xa3168d0) at /home/vishesh/kde/src/kdevelop/kdevplatform/language/duchain/duchain.cpp:286
#5  0x0161832e in QThreadPrivate::start (arg=0xa3168d0) at thread/qthread_unix.cpp:248
#6  0x004ae96e in start_thread (arg=0xb4ebdb70) at pthread_create.c:300
#7  0x060a6a4e in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:130

Thread 12 (Thread 0xb18aeb70 (LWP 13952)):
#0  0x004b2344 in __pthread_mutex_unlock_usercnt (mutex=0xce366b4, decr=<value optimized out>) at pthread_mutex_unlock.c:52
#1  0x02c42e56 in ?? () from /lib/libglib-2.0.so.0
#2  0x02c434b8 in g_main_context_iteration () from /lib/libglib-2.0.so.0
#3  0x0174660f in QEventDispatcherGlib::processEvents (this=0xcc9c2d8, flags=...) at kernel/qeventdispatcher_glib.cpp:414
#4  0x01719059 in QEventLoop::processEvents (this=0xb18ae2c0, flags=) at kernel/qeventloop.cpp:149
#5  0x017194aa in QEventLoop::exec (this=0xb18ae2c0, flags=...) at kernel/qeventloop.cpp:201
#6  0x016155a8 in QThread::exec (this=0xcf3b470) at thread/qthread.cpp:487
#7  0x026aecb0 in KDevelop::CompletionWorkerThread::run (this=0xcf3b470) at /home/vishesh/kde/src/kdevelop/kdevplatform/language/codecompletion/codecompletionmodel.cpp:82
#8  0x0161832e in QThreadPrivate::start (arg=0xcf3b470) at thread/qthread_unix.cpp:248
#9  0x004ae96e in start_thread (arg=0xb18aeb70) at pthread_create.c:300
#10 0x060a6a4e in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:130

Thread 11 (Thread 0xafb00b70 (LWP 13953)):
#0  0x004b0f5b in __pthread_mutex_lock (mutex=0xcf7d534) at pthread_mutex_lock.c:61
#1  0x02c43191 in ?? () from /lib/libglib-2.0.so.0
#2  0x02c434b8 in g_main_context_iteration () from /lib/libglib-2.0.so.0
#3  0x0174660f in QEventDispatcherGlib::processEvents (this=0xcca3b50, flags=...) at kernel/qeventdispatcher_glib.cpp:414
#4  0x01719059 in QEventLoop::processEvents (this=0xafb002c0, flags=) at kernel/qeventloop.cpp:149
#5  0x017194aa in QEventLoop::exec (this=0xafb002c0, flags=...) at kernel/qeventloop.cpp:201
#6  0x016155a8 in QThread::exec (this=0xcf75ee0) at thread/qthread.cpp:487
#7  0x026aecb0 in KDevelop::CompletionWorkerThread::run (this=0xcf75ee0) at /home/vishesh/kde/src/kdevelop/kdevplatform/language/codecompletion/codecompletionmodel.cpp:82
#8  0x0161832e in QThreadPrivate::start (arg=0xcf75ee0) at thread/qthread_unix.cpp:248
#9  0x004ae96e in start_thread (arg=0xafb00b70) at pthread_create.c:300
#10 0x060a6a4e in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:130

Thread 10 (Thread 0xb10adb70 (LWP 13955)):
#0  0x008d7422 in __kernel_vsyscall ()
#1  0x004b3342 in pthread_cond_timedwait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/i386/i686/../i486/pthread_cond_timedwait.S:179
#2  0x01617c1e in thread_sleep (ti=0x1) at thread/qthread_unix.cpp:398
#3  0x01617d73 in QThread::msleep (msecs=30) at thread/qthread_unix.cpp:424
#4  0x0327e82b in UIBlockTester::UIBlockTesterThread::run (this=0xb004f578) at /home/vishesh/kde/src/kdevelop/kdevelop/languages/cpp/cpplanguagesupport.cpp:678
#5  0x0161832e in QThreadPrivate::start (arg=0xb004f578) at thread/qthread_unix.cpp:248
#6  0x004ae96e in start_thread (arg=0xb10adb70) at pthread_create.c:300
#7  0x060a6a4e in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:130

Thread 9 (Thread 0xae26fb70 (LWP 13971)):
#0  0x008d7422 in __kernel_vsyscall ()
#1  0x004b3015 in pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/i386/i686/../i486/pthread_cond_wait.S:122
#2  0x02432c97 in QTWTF::TCMalloc_PageHeap::scavengerThread (this=0x250c1a0) at ../3rdparty/javascriptcore/JavaScriptCore/wtf/FastMalloc.cpp:2304
#3  0x02432ce1 in QTWTF::TCMalloc_PageHeap::runScavengerThread (context=0x250c1a0) at ../3rdparty/javascriptcore/JavaScriptCore/wtf/FastMalloc.cpp:1438
#4  0x004ae96e in start_thread (arg=0xae26fb70) at pthread_create.c:300
#5  0x060a6a4e in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:130

Thread 8 (Thread 0xad5ffb70 (LWP 14107)):
#0  0x008d7422 in __kernel_vsyscall ()
#1  0x004b3015 in pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/i386/i686/../i486/pthread_cond_wait.S:122
#2  0x01619287 in QWaitConditionPrivate::wait (this=0xa2a6de8, mutex=0xa20b170, time=4294967295) at thread/qwaitcondition_unix.cpp:87
#3  QWaitCondition::wait (this=0xa2a6de8, mutex=0xa20b170, time=4294967295) at thread/qwaitcondition_unix.cpp:159
#4  0x00eb014c in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0xa2a6dd0, th=0xaf2e3630) at /home/vishesh/kde/src/kdelibs/threadweaver/Weaver/WeaverImpl.cpp:365
#5  0x00eb3ff2 in ThreadWeaver::WorkingHardState::waitForAvailableJob (this=0xa20b230, th=0xaf2e3630) at /home/vishesh/kde/src/kdelibs/threadweaver/Weaver/WorkingHardState.cpp:80
#6  0x00eb00cb in ThreadWeaver::WeaverImpl::waitForAvailableJob (this=0xa2a6dd0, th=0xaf2e3630) at /home/vishesh/kde/src/kdelibs/threadweaver/Weaver/WeaverImpl.cpp:356
#7  0x00eb3f96 in ThreadWeaver::WorkingHardState::applyForWork (this=0xa20b230, th=0xaf2e3630) at /home/vishesh/kde/src/kdelibs/threadweaver/Weaver/WorkingHardState.cpp:71
#8  0x00eb00a4 in ThreadWeaver::WeaverImpl::applyForWork (this=0xa2a6dd0, th=0xaf2e3630, previous=0xf322d98) at /home/vishesh/kde/src/kdelibs/threadweaver/Weaver/WeaverImpl.cpp:351
#9  0x00eb192d in ThreadWeaver::ThreadRunHelper::run (this=0xad5ff304, parent=0xa2a6dd0, th=0xaf2e3630) at /home/vishesh/kde/src/kdelibs/threadweaver/Weaver/Thread.cpp:87
#10 0x00eb1cc1 in ThreadWeaver::Thread::run (this=0xaf2e3630) at /home/vishesh/kde/src/kdelibs/threadweaver/Weaver/Thread.cpp:142
#11 0x0161832e in QThreadPrivate::start (arg=0xaf2e3630) at thread/qthread_unix.cpp:248
#12 0x004ae96e in start_thread (arg=0xad5ffb70) at pthread_create.c:300
#13 0x060a6a4e in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:130

Thread 7 (Thread 0xacdfeb70 (LWP 14108)):
#0  0x008d7422 in __kernel_vsyscall ()
#1  0x004b3015 in pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/i386/i686/../i486/pthread_cond_wait.S:122
#2  0x01619287 in QWaitConditionPrivate::wait (this=0xa2a6de8, mutex=0xa20b170, time=4294967295) at thread/qwaitcondition_unix.cpp:87
#3  QWaitCondition::wait (this=0xa2a6de8, mutex=0xa20b170, time=4294967295) at thread/qwaitcondition_unix.cpp:159
#4  0x00eb014c in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0xa2a6dd0, th=0xaf2d3d68) at /home/vishesh/kde/src/kdelibs/threadweaver/Weaver/WeaverImpl.cpp:365
#5  0x00eb3ff2 in ThreadWeaver::WorkingHardState::waitForAvailableJob (this=0xa20b230, th=0xaf2d3d68) at /home/vishesh/kde/src/kdelibs/threadweaver/Weaver/WorkingHardState.cpp:80
#6  0x00eb00cb in ThreadWeaver::WeaverImpl::waitForAvailableJob (this=0xa2a6dd0, th=0xaf2d3d68) at /home/vishesh/kde/src/kdelibs/threadweaver/Weaver/WeaverImpl.cpp:356
#7  0x00eb3f96 in ThreadWeaver::WorkingHardState::applyForWork (this=0xa20b230, th=0xaf2d3d68) at /home/vishesh/kde/src/kdelibs/threadweaver/Weaver/WorkingHardState.cpp:71
#8  0x00eb00a4 in ThreadWeaver::WeaverImpl::applyForWork (this=0xa2a6dd0, th=0xaf2d3d68, previous=0xfcf1d50) at /home/vishesh/kde/src/kdelibs/threadweaver/Weaver/WeaverImpl.cpp:351
#9  0x00eb192d in ThreadWeaver::ThreadRunHelper::run (this=0xacdfe304, parent=0xa2a6dd0, th=0xaf2d3d68) at /home/vishesh/kde/src/kdelibs/threadweaver/Weaver/Thread.cpp:87
#10 0x00eb1cc1 in ThreadWeaver::Thread::run (this=0xaf2d3d68) at /home/vishesh/kde/src/kdelibs/threadweaver/Weaver/Thread.cpp:142
#11 0x0161832e in QThreadPrivate::start (arg=0xaf2d3d68) at thread/qthread_unix.cpp:248
#12 0x004ae96e in start_thread (arg=0xacdfeb70) at pthread_create.c:300
#13 0x060a6a4e in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:130

Thread 6 (Thread 0xab6b7b70 (LWP 14121)):
#0  0x02c42b7d in g_main_context_prepare () from /lib/libglib-2.0.so.0
#1  0x02c42ee9 in ?? () from /lib/libglib-2.0.so.0
#2  0x02c434b8 in g_main_context_iteration () from /lib/libglib-2.0.so.0
#3  0x0174660f in QEventDispatcherGlib::processEvents (this=0xd095bc8, flags=...) at kernel/qeventdispatcher_glib.cpp:414
#4  0x01719059 in QEventLoop::processEvents (this=0xab6b7290, flags=) at kernel/qeventloop.cpp:149
#5  0x017194aa in QEventLoop::exec (this=0xab6b7290, flags=...) at kernel/qeventloop.cpp:201
#6  0x016155a8 in QThread::exec (this=0xcee5f18) at thread/qthread.cpp:487
#7  0x016f8c1b in QInotifyFileSystemWatcherEngine::run (this=0xcee5f18) at io/qfilesystemwatcher_inotify.cpp:248
#8  0x0161832e in QThreadPrivate::start (arg=0xcee5f18) at thread/qthread_unix.cpp:248
#9  0x004ae96e in start_thread (arg=0xab6b7b70) at pthread_create.c:300
#10 0x060a6a4e in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:130

Thread 5 (Thread 0xb44ffb70 (LWP 15462)):
#0  0x008d7422 in __kernel_vsyscall ()
#1  0x004b3015 in pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/i386/i686/../i486/pthread_cond_wait.S:122
#2  0x01619287 in QWaitConditionPrivate::wait (this=0xe03d240, mutex=0xe03d490, time=4294967295) at thread/qwaitcondition_unix.cpp:87
#3  QWaitCondition::wait (this=0xe03d240, mutex=0xe03d490, time=4294967295) at thread/qwaitcondition_unix.cpp:159
#4  0x00eb014c in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0xe03d228, th=0xe03d740) at /home/vishesh/kde/src/kdelibs/threadweaver/Weaver/WeaverImpl.cpp:365
#5  0x00eb3ff2 in ThreadWeaver::WorkingHardState::waitForAvailableJob (this=0xe03d528, th=0xe03d740) at /home/vishesh/kde/src/kdelibs/threadweaver/Weaver/WorkingHardState.cpp:80
#6  0x00eb00cb in ThreadWeaver::WeaverImpl::waitForAvailableJob (this=0xe03d228, th=0xe03d740) at /home/vishesh/kde/src/kdelibs/threadweaver/Weaver/WeaverImpl.cpp:356
#7  0x00eb3f96 in ThreadWeaver::WorkingHardState::applyForWork (this=0xe03d528, th=0xe03d740) at /home/vishesh/kde/src/kdelibs/threadweaver/Weaver/WorkingHardState.cpp:71
#8  0x00eb00a4 in ThreadWeaver::WeaverImpl::applyForWork (this=0xe03d228, th=0xe03d740, previous=0x0) at /home/vishesh/kde/src/kdelibs/threadweaver/Weaver/WeaverImpl.cpp:351
#9  0x00eb3fbc in ThreadWeaver::WorkingHardState::applyForWork (this=0xe03d528, th=0xe03d740) at /home/vishesh/kde/src/kdelibs/threadweaver/Weaver/WorkingHardState.cpp:74
#10 0x00eb00a4 in ThreadWeaver::WeaverImpl::applyForWork (this=0xe03d228, th=0xe03d740, previous=0x0) at /home/vishesh/kde/src/kdelibs/threadweaver/Weaver/WeaverImpl.cpp:351
#11 0x00eb3fbc in ThreadWeaver::WorkingHardState::applyForWork (this=0xe03d528, th=0xe03d740) at /home/vishesh/kde/src/kdelibs/threadweaver/Weaver/WorkingHardState.cpp:74
#12 0x00eb00a4 in ThreadWeaver::WeaverImpl::applyForWork (this=0xe03d228, th=0xe03d740, previous=0xd01fd00) at /home/vishesh/kde/src/kdelibs/threadweaver/Weaver/WeaverImpl.cpp:351
#13 0x00eb192d in ThreadWeaver::ThreadRunHelper::run (this=0xb44ff304, parent=0xe03d228, th=0xe03d740) at /home/vishesh/kde/src/kdelibs/threadweaver/Weaver/Thread.cpp:87
#14 0x00eb1cc1 in ThreadWeaver::Thread::run (this=0xe03d740) at /home/vishesh/kde/src/kdelibs/threadweaver/Weaver/Thread.cpp:142
#15 0x0161832e in QThreadPrivate::start (arg=0xe03d740) at thread/qthread_unix.cpp:248
#16 0x004ae96e in start_thread (arg=0xb44ffb70) at pthread_create.c:300
#17 0x060a6a4e in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:130

Thread 4 (Thread 0xb34fdb70 (LWP 15463)):
#0  0x008d7422 in __kernel_vsyscall ()
#1  0x004b3015 in pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/i386/i686/../i486/pthread_cond_wait.S:122
#2  0x01619287 in QWaitConditionPrivate::wait (this=0xe03d240, mutex=0xe03d490, time=4294967295) at thread/qwaitcondition_unix.cpp:87
#3  QWaitCondition::wait (this=0xe03d240, mutex=0xe03d490, time=4294967295) at thread/qwaitcondition_unix.cpp:159
#4  0x00eb014c in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0xe03d228, th=0xfbb7360) at /home/vishesh/kde/src/kdelibs/threadweaver/Weaver/WeaverImpl.cpp:365
#5  0x00eb3ff2 in ThreadWeaver::WorkingHardState::waitForAvailableJob (this=0xe03d528, th=0xfbb7360) at /home/vishesh/kde/src/kdelibs/threadweaver/Weaver/WorkingHardState.cpp:80
#6  0x00eb00cb in ThreadWeaver::WeaverImpl::waitForAvailableJob (this=0xe03d228, th=0xfbb7360) at /home/vishesh/kde/src/kdelibs/threadweaver/Weaver/WeaverImpl.cpp:356
#7  0x00eb3f96 in ThreadWeaver::WorkingHardState::applyForWork (this=0xe03d528, th=0xfbb7360) at /home/vishesh/kde/src/kdelibs/threadweaver/Weaver/WorkingHardState.cpp:71
#8  0x00eb00a4 in ThreadWeaver::WeaverImpl::applyForWork (this=0xe03d228, th=0xfbb7360, previous=0x0) at /home/vishesh/kde/src/kdelibs/threadweaver/Weaver/WeaverImpl.cpp:351
#9  0x00eb3fbc in ThreadWeaver::WorkingHardState::applyForWork (this=0xe03d528, th=0xfbb7360) at /home/vishesh/kde/src/kdelibs/threadweaver/Weaver/WorkingHardState.cpp:74
#10 0x00eb00a4 in ThreadWeaver::WeaverImpl::applyForWork (this=0xe03d228, th=0xfbb7360, previous=0x0) at /home/vishesh/kde/src/kdelibs/threadweaver/Weaver/WeaverImpl.cpp:351
#11 0x00eb3fbc in ThreadWeaver::WorkingHardState::applyForWork (this=0xe03d528, th=0xfbb7360) at /home/vishesh/kde/src/kdelibs/threadweaver/Weaver/WorkingHardState.cpp:74
#12 0x00eb00a4 in ThreadWeaver::WeaverImpl::applyForWork (this=0xe03d228, th=0xfbb7360, previous=0x0) at /home/vishesh/kde/src/kdelibs/threadweaver/Weaver/WeaverImpl.cpp:351
#13 0x00eb3fbc in ThreadWeaver::WorkingHardState::applyForWork (this=0xe03d528, th=0xfbb7360) at /home/vishesh/kde/src/kdelibs/threadweaver/Weaver/WorkingHardState.cpp:74
#14 0x00eb00a4 in ThreadWeaver::WeaverImpl::applyForWork (this=0xe03d228, th=0xfbb7360, previous=0xfce9a20) at /home/vishesh/kde/src/kdelibs/threadweaver/Weaver/WeaverImpl.cpp:351
#15 0x00eb192d in ThreadWeaver::ThreadRunHelper::run (this=0xb34fd304, parent=0xe03d228, th=0xfbb7360) at /home/vishesh/kde/src/kdelibs/threadweaver/Weaver/Thread.cpp:87
#16 0x00eb1cc1 in ThreadWeaver::Thread::run (this=0xfbb7360) at /home/vishesh/kde/src/kdelibs/threadweaver/Weaver/Thread.cpp:142
#17 0x0161832e in QThreadPrivate::start (arg=0xfbb7360) at thread/qthread_unix.cpp:248
#18 0x004ae96e in start_thread (arg=0xb34fdb70) at pthread_create.c:300
#19 0x060a6a4e in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:130

Thread 3 (Thread 0xa2fefb70 (LWP 15464)):
#0  0x008d7422 in __kernel_vsyscall ()
#1  0x004b3015 in pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/i386/i686/../i486/pthread_cond_wait.S:122
#2  0x01619287 in QWaitConditionPrivate::wait (this=0xe03d240, mutex=0xe03d490, time=4294967295) at thread/qwaitcondition_unix.cpp:87
#3  QWaitCondition::wait (this=0xe03d240, mutex=0xe03d490, time=4294967295) at thread/qwaitcondition_unix.cpp:159
#4  0x00eb014c in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0xe03d228, th=0xd429378) at /home/vishesh/kde/src/kdelibs/threadweaver/Weaver/WeaverImpl.cpp:365
#5  0x00eb3ff2 in ThreadWeaver::WorkingHardState::waitForAvailableJob (this=0xe03d528, th=0xd429378) at /home/vishesh/kde/src/kdelibs/threadweaver/Weaver/WorkingHardState.cpp:80
#6  0x00eb00cb in ThreadWeaver::WeaverImpl::waitForAvailableJob (this=0xe03d228, th=0xd429378) at /home/vishesh/kde/src/kdelibs/threadweaver/Weaver/WeaverImpl.cpp:356
#7  0x00eb3f96 in ThreadWeaver::WorkingHardState::applyForWork (this=0xe03d528, th=0xd429378) at /home/vishesh/kde/src/kdelibs/threadweaver/Weaver/WorkingHardState.cpp:71
#8  0x00eb00a4 in ThreadWeaver::WeaverImpl::applyForWork (this=0xe03d228, th=0xd429378, previous=0xf55a600) at /home/vishesh/kde/src/kdelibs/threadweaver/Weaver/WeaverImpl.cpp:351
#9  0x00eb192d in ThreadWeaver::ThreadRunHelper::run (this=0xa2fef304, parent=0xe03d228, th=0xd429378) at /home/vishesh/kde/src/kdelibs/threadweaver/Weaver/Thread.cpp:87
#10 0x00eb1cc1 in ThreadWeaver::Thread::run (this=0xd429378) at /home/vishesh/kde/src/kdelibs/threadweaver/Weaver/Thread.cpp:142
#11 0x0161832e in QThreadPrivate::start (arg=0xd429378) at thread/qthread_unix.cpp:248
#12 0x004ae96e in start_thread (arg=0xa2fefb70) at pthread_create.c:300
#13 0x060a6a4e in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:130

Thread 2 (Thread 0xa27eeb70 (LWP 15465)):
#0  0x008d7422 in __kernel_vsyscall ()
#1  0x004b3015 in pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/i386/i686/../i486/pthread_cond_wait.S:122
#2  0x01619287 in QWaitConditionPrivate::wait (this=0xe03d240, mutex=0xe03d490, time=4294967295) at thread/qwaitcondition_unix.cpp:87
#3  QWaitCondition::wait (this=0xe03d240, mutex=0xe03d490, time=4294967295) at thread/qwaitcondition_unix.cpp:159
#4  0x00eb014c in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0xe03d228, th=0xf0897a8) at /home/vishesh/kde/src/kdelibs/threadweaver/Weaver/WeaverImpl.cpp:365
#5  0x00eb3ff2 in ThreadWeaver::WorkingHardState::waitForAvailableJob (this=0xe03d528, th=0xf0897a8) at /home/vishesh/kde/src/kdelibs/threadweaver/Weaver/WorkingHardState.cpp:80
#6  0x00eb00cb in ThreadWeaver::WeaverImpl::waitForAvailableJob (this=0xe03d228, th=0xf0897a8) at /home/vishesh/kde/src/kdelibs/threadweaver/Weaver/WeaverImpl.cpp:356
#7  0x00eb3f96 in ThreadWeaver::WorkingHardState::applyForWork (this=0xe03d528, th=0xf0897a8) at /home/vishesh/kde/src/kdelibs/threadweaver/Weaver/WorkingHardState.cpp:71
#8  0x00eb00a4 in ThreadWeaver::WeaverImpl::applyForWork (this=0xe03d228, th=0xf0897a8, previous=0x0) at /home/vishesh/kde/src/kdelibs/threadweaver/Weaver/WeaverImpl.cpp:351
#9  0x00eb3fbc in ThreadWeaver::WorkingHardState::applyForWork (this=0xe03d528, th=0xf0897a8) at /home/vishesh/kde/src/kdelibs/threadweaver/Weaver/WorkingHardState.cpp:74
#10 0x00eb00a4 in ThreadWeaver::WeaverImpl::applyForWork (this=0xe03d228, th=0xf0897a8, previous=0xd639380) at /home/vishesh/kde/src/kdelibs/threadweaver/Weaver/WeaverImpl.cpp:351
#11 0x00eb192d in ThreadWeaver::ThreadRunHelper::run (this=0xa27ee304, parent=0xe03d228, th=0xf0897a8) at /home/vishesh/kde/src/kdelibs/threadweaver/Weaver/Thread.cpp:87
#12 0x00eb1cc1 in ThreadWeaver::Thread::run (this=0xf0897a8) at /home/vishesh/kde/src/kdelibs/threadweaver/Weaver/Thread.cpp:142
#13 0x0161832e in QThreadPrivate::start (arg=0xf0897a8) at thread/qthread_unix.cpp:248
#14 0x004ae96e in start_thread (arg=0xa27eeb70) at pthread_create.c:300
#15 0x060a6a4e in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:130

Thread 1 (Thread 0xb7861710 (LWP 13806)):
[KCrash Handler]
#6  0x05b0398c in vtable for Oxygen::EnableData () from /home/vishesh/kde/lib/kde4/plugins/styles/oxygen.so
#7  0x039eca97 in ~KateSmartRange (this=0xf7864d8, __in_chrg=<value optimized out>) at /home/vishesh/kde/src/kdelibs/kate/smart/katesmartrange.cpp:56
#8  0x0305df1e in qDeleteAll<QList<KTextEditor::SmartRange*>::const_iterator> (this=0xd6d3128, __in_chrg=<value optimized out>) at /usr/include/qt4/QtCore/qalgorithms.h:322
#9  qDeleteAll<QList<KTextEditor::SmartRange*> > (this=0xd6d3128, __in_chrg=<value optimized out>) at /usr/include/qt4/QtCore/qalgorithms.h:330
#10 ~ProblemHighlighter (this=0xd6d3128, __in_chrg=<value optimized out>) at /home/vishesh/kde/src/kdevelop/kdevplatform/plugins/problemreporter/problemhighlighter.cpp:113
#11 0x03057505 in ProblemReporterPlugin::documentAboutToBeDeleted (this=0xcb9ca78, doc=0xd515548) at /home/vishesh/kde/src/kdevelop/kdevplatform/plugins/problemreporter/problemreporterplugin.cpp:116
#12 0x03057dbf in ProblemReporterPlugin::qt_metacall (this=0xcb9ca78, _c=QMetaObject::InvokeMetaMethod, _id=12, _a=0xbff0fc98)
    at /home/vishesh/kde/build/kdevelop/kdevplatform/plugins/problemreporter/problemreporterplugin.moc:82
#13 0x0171fc9a in QMetaObject::metacall (object=0xcb9ca78, cl=QMetaObject::QueryPropertyDesignable, idx=12, argv=0xbff0fc98) at kernel/qmetaobject.cpp:237
#14 0x0172e3d5 in QMetaObject::activate (sender=0xa318898, m=0x26ff9e8, local_signal_index=1, argv=0xbff0fc98) at kernel/qobject.cpp:3293
#15 0x02577ba3 in KDevelop::EditorIntegratorStatic::documentAboutToBeDeleted (this=0xa318898, _t1=0xd515548) at /home/vishesh/kde/build/kdevelop/kdevplatform/language/editorintegratorstatic.moc:112
#16 0x02578819 in KDevelop::EditorIntegratorStatic::removeDocument (this=0xa318898, document=0xd515548) at /home/vishesh/kde/src/kdevelop/kdevplatform/language/editor/editorintegratorstatic.cpp:98
#17 0x025759f6 in KDevelop::EditorIntegrator::removeDocument (document=0xd515548) at /home/vishesh/kde/src/kdevelop/kdevplatform/language/editor/editorintegrator.cpp:112
#18 0x00ccd052 in KDevelop::TextDocument::close (this=0xf99da30, mode=KDevelop::IDocument::Default) at /home/vishesh/kde/src/kdevelop/kdevplatform/shell/textdocument.cpp:499
#19 0x00ccaed9 in KDevelop::PartDocument::closeDocument (this=0xf99da30) at /home/vishesh/kde/src/kdevelop/kdevplatform/shell/partdocument.cpp:153
#20 0x0271ecf6 in Sublime::Area::closeView (this=0xa198260, view=0xa4818b8) at /home/vishesh/kde/src/kdevelop/kdevplatform/sublime/area.cpp:431
#21 0x027335c3 in Sublime::MainWindowPrivate::widgetCloseRequest (this=0xa1896d0, widget=0xd31e8f0) at /home/vishesh/kde/src/kdevelop/kdevplatform/sublime/mainwindow_p.cpp:612
#22 0x02739087 in Sublime::MainWindowPrivate::qt_metacall (this=0xa1896d0, _c=QMetaObject::InvokeMetaMethod, _id=17, _a=0xbff0ffc8)
    at /home/vishesh/kde/build/kdevelop/kdevplatform/sublime/mainwindow_p.moc:130
#23 0x0171fc9a in QMetaObject::metacall (object=0xa1896d0, cl=QMetaObject::QueryPropertyDesignable, idx=17, argv=0xbff0ffc8) at kernel/qmetaobject.cpp:237
#24 0x0172e3d5 in QMetaObject::activate (sender=0xd670c50, m=0x2751404, local_signal_index=1, argv=0xbff0ffc8) at kernel/qobject.cpp:3293
#25 0x02724ac3 in Sublime::Container::closeRequest (this=0xd670c50, _t1=0xd31e8f0) at /home/vishesh/kde/build/kdevelop/kdevplatform/sublime/container.moc:125
#26 0x02724be5 in Sublime::Container::closeRequest (this=0xd670c50, idx=1) at /home/vishesh/kde/src/kdevelop/kdevplatform/sublime/container.cpp:243
#27 0x02727ba7 in Sublime::Container::qt_metacall (this=0xd670c50, _c=QMetaObject::InvokeMetaMethod, _id=35, _a=0xbff10118) at /home/vishesh/kde/build/kdevelop/kdevplatform/sublime/container.moc:103
#28 0x0171fc9a in QMetaObject::metacall (object=0xd670c50, cl=QMetaObject::QueryPropertyDesignable, idx=35, argv=0xbff10118) at kernel/qmetaobject.cpp:237
#29 0x0172e3d5 in QMetaObject::activate (sender=0xf307df0, m=0x78f6bd8, local_signal_index=10, argv=0xbff10118) at kernel/qobject.cpp:3293
#30 0x078246f6 in KTabBar::closeRequest (this=0xf307df0, _t1=1) at /home/vishesh/kde/build/kdelibs/kdeui/ktabbar.moc:193
#31 0x0782430e in KTabBar::qt_metacall (this=0xf307df0, _c=QMetaObject::InvokeMetaMethod, _id=10, _a=0xbff10228) at /home/vishesh/kde/build/kdelibs/kdeui/ktabbar.moc:108
#32 0x0171fc9a in QMetaObject::metacall (object=0xf307df0, cl=QMetaObject::QueryPropertyDesignable, idx=45, argv=0xbff10228) at kernel/qmetaobject.cpp:237
#33 0x0172e3d5 in QMetaObject::activate (sender=0xf307df0, m=0x22950e0, local_signal_index=1, argv=0xbff10228) at kernel/qobject.cpp:3293
#34 0x01e2f4a3 in QTabBar::tabCloseRequested (this=0xf307df0, _t1=1) at .moc/release-shared/moc_qtabbar.cpp:208
#35 0x01e2fca6 in QTabBarPrivate::_q_closeTab (this=0xe0a8b48) at widgets/qtabbar.cpp:617
#36 0x01e3524e in QTabBar::qt_metacall (this=0xf307df0, _c=QMetaObject::InvokeMetaMethod, _id=7, _a=0xbff103f8) at .moc/release-shared/moc_qtabbar.cpp:141
#37 0x0782416e in KTabBar::qt_metacall (this=0xf307df0, _c=QMetaObject::InvokeMetaMethod, _id=34, _a=0xbff103f8) at /home/vishesh/kde/build/kdelibs/kdeui/ktabbar.moc:93
#38 0x0171fc9a in QMetaObject::metacall (object=0xf307df0, cl=QMetaObject::QueryPropertyDesignable, idx=34, argv=0xbff103f8) at kernel/qmetaobject.cpp:237
#39 0x0172e3d5 in QMetaObject::activate (sender=0xef93af0, m=0x22a08c4, local_signal_index=2, argv=0xbff103f8) at kernel/qobject.cpp:3293
#40 0x02090479 in QAbstractButton::clicked (this=0xef93af0, _t1=false) at .moc/release-shared/moc_qabstractbutton.cpp:206
#41 0x01d6fea9 in QAbstractButtonPrivate::emitClicked (this=0xfdf1e88) at widgets/qabstractbutton.cpp:546
#42 0x01d70cf4 in QAbstractButtonPrivate::click (this=0xfdf1e88) at widgets/qabstractbutton.cpp:539
#43 0x01d70fae in QAbstractButton::mouseReleaseEvent (this=0xef93af0, e=0xbff10af0) at widgets/qabstractbutton.cpp:1121
#44 0x019c37f8 in QWidget::event (this=0xef93af0, event=0xbff10af0) at kernel/qwidget.cpp:7998
#45 0x01d6fd4e in QAbstractButton::event (this=0xef93af0, e=0x5b0a768) at widgets/qabstractbutton.cpp:1080
#46 0x019654dc in QApplicationPrivate::notify_helper (this=0xa06e748, receiver=0xef93af0, e=0xbff10af0) at kernel/qapplication.cpp:4300
#47 0x0196c9f7 in QApplication::notify (this=0xbff11478, receiver=0xef93af0, e=0xbff10af0) at kernel/qapplication.cpp:3865
#48 0x07708bdc in KApplication::notify (this=0xbff11478, receiver=0xef93af0, event=0xbff10af0) at /home/vishesh/kde/src/kdelibs/kdeui/kernel/kapplication.cpp:302
#49 0x0171aa3b in QCoreApplication::notifyInternal (this=0xbff11478, receiver=0xef93af0, event=0xbff10af0) at kernel/qcoreapplication.cpp:704
#50 0x0196b952 in QCoreApplication::sendEvent (receiver=0xef93af0, event=0xbff10af0, alienWidget=0xef93af0, nativeWidget=0xf307df0, buttonDown=0x22a9058, lastMouseReceiver=..., spontaneous=true)
    at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:215
#51 QApplicationPrivate::sendMouseEvent (receiver=0xef93af0, event=0xbff10af0, alienWidget=0xef93af0, nativeWidget=0xf307df0, buttonDown=0x22a9058, lastMouseReceiver=..., spontaneous=true)
    at kernel/qapplication.cpp:2965
#52 0x019f7088 in QETWidget::translateMouseEvent (this=0xf307df0, event=0xbff1100c) at kernel/qapplication_x11.cpp:4368
#53 0x019f6511 in QApplication::x11ProcessEvent (this=0xbff11478, event=0xbff1100c) at kernel/qapplication_x11.cpp:3379
#54 0x01a2560a in x11EventSourceDispatch (s=0xa0718a8, callback=0, user_data=0x0) at kernel/qguieventdispatcher_glib.cpp:146
#55 0x02c3f5e5 in g_main_context_dispatch () from /lib/libglib-2.0.so.0
#56 0x02c432d8 in ?? () from /lib/libglib-2.0.so.0
#57 0x02c434b8 in g_main_context_iteration () from /lib/libglib-2.0.so.0
#58 0x017465d5 in QEventDispatcherGlib::processEvents (this=0xa04d280, flags=...) at kernel/qeventdispatcher_glib.cpp:412
#59 0x01a25135 in QGuiEventDispatcherGlib::processEvents (this=0xa04d280, flags=...) at kernel/qguieventdispatcher_glib.cpp:204
#60 0x01719059 in QEventLoop::processEvents (this=0xbff11304, flags=) at kernel/qeventloop.cpp:149
#61 0x017194aa in QEventLoop::exec (this=0xbff11304, flags=...) at kernel/qeventloop.cpp:201
#62 0x0171d69f in QCoreApplication::exec () at kernel/qcoreapplication.cpp:981
#63 0x01965577 in QApplication::exec () at kernel/qapplication.cpp:3579
#64 0x08050a53 in main (argc=1, argv=0xbff11b54) at /home/vishesh/kde/src/kdevelop/kdevelop/app/main.cpp:378

Reported using DrKonqi
Comment 1 Nicolas L. 2010-06-17 14:23:04 UTC
#6  0x05b0398c in vtable for Oxygen::EnableData () from
/home/vishesh/kde/lib/kde4/plugins/styles/oxygen.so


Please install kdebase-runtime debug package and paste a new bactrace
Comment 2 Milian Wolff 2010-06-17 14:25:10 UTC
You don't need to, it's a known bug with the SmartRanges. Should hopefully be fixed with David's rewrite that will use the MovingRanges that are introduced in Kate for KDE 4.5.

Closing for now, as it's being actively being worked on and it's a known bug (probably there are duplicates somewhere available...)
Comment 3 Nicolas L. 2010-06-17 14:49:46 UTC
*** Bug 241299 has been marked as a duplicate of this bug. ***
Comment 4 Nicolas L. 2010-06-19 23:59:12 UTC
*** Bug 242163 has been marked as a duplicate of this bug. ***
Comment 5 Nicolas L. 2010-06-24 14:34:08 UTC
*** Bug 242643 has been marked as a duplicate of this bug. ***
Comment 6 Christophe Giboudeaux 2010-06-24 14:43:17 UTC
Changing the product back to kdevelop. Otherwise, the bug reporting assistant will never find this report.
Comment 7 Nicolas L. 2010-06-24 14:56:03 UTC
oh yes sorry
Comment 8 Milian Wolff 2010-07-01 20:35:39 UTC
Christophe Giboudeaux just provided me with the valgrind infos below. Even though parts of the line numbers/debug info look fishy, I'm tempted to say this should be all we need to fix it.

To me it looks as if one need to unset watchers on SmartRanges before deleting the watcher. I'll have to find out which widget actually causes that, probably the problem highlighter itself - but why is that getting deleted before the KateDocument?

#
==29016== Thread 1:
#
==29016== Invalid read of size 8
#
==29016==    at 0x25DA523D: KateSmartRange::~KateSmartRange() (katesmartrange.cpp:56)
#
==29016==    by 0x25DA52E8: KateSmartRange::~KateSmartRange() (katesmartrange.cpp:60)
#
==29016==    by 0x2BD7CC5E: ProblemHighlighter::~ProblemHighlighter() (qalgorithms.h:322)
#
==29016==    by 0x2BD7CC88: ProblemHighlighter::~ProblemHighlighter() (problemhighlighter.cpp:114)
#
==29016==    by 0x2BD78618: ProblemReporterPlugin::documentAboutToBeDeleted(KTextEditor::Document*) (problemreporterplugin.cpp:116)
#
==29016==    by 0x2BD786C2: ProblemReporterPlugin::qt_metacall(QMetaObject::Call, int, void**) (problemreporterplugin.moc:82)
#
==29016==    by 0x61F670E: QMetaObject::activate(QObject*, QMetaObject const*, int, void**) (qobject.cpp:3272)
#
==29016==    by 0x9D0DAC1: KDevelop::EditorIntegratorStatic::documentAboutToBeDeleted(KTextEditor::Document*) (editorintegratorstatic.moc:112)
#
==29016==    by 0x9D0E179: KDevelop::EditorIntegratorStatic::removeDocument(KTextEditor::Document*) (editorintegratorstatic.cpp:98)
#
==29016==    by 0x5596551: KDevelop::TextDocument::close(KDevelop::IDocument::DocumentSaveMode) (textdocument.cpp:499)
#
==29016==    by 0xA0F3F33: Sublime::Area::closeView(Sublime::View*) (area.cpp:431)
#
==29016==    by 0xA10351A: Sublime::MainWindowPrivate::widgetCloseRequest(QWidget*) (mainwindow_p.cpp:612)
#
==29016==  Address 0x13745e50 is 144 bytes inside a block of size 752 free'd
#
==29016==    at 0x4C25C8D: operator delete(void*) (in /usr/lib64/valgrind/vgpreload_memcheck-amd64-linux.so)
#
==29016==    by 0x61F3AE3: QObjectPrivate::deleteChildren() (qobject.cpp:1949)
#
==29016==    by 0x672E64F: QWidget::~QWidget() (qwidget.cpp:1560)
#
==29016==    by 0x55969A8: KDevelop::TextEditorWidget::~TextEditorWidget() (textdocument.cpp:621)
#
==29016==    by 0x55964D3: KDevelop::TextView::~TextView() (textdocument.cpp:523)
#
==29016==    by 0x5596508: KDevelop::TextView::~TextView() (textdocument.cpp:526)
#
==29016==    by 0x5595C97: KDevelop::PartDocument::close(KDevelop::IDocument::DocumentSaveMode) (partdocument.cpp:136)
#
==29016==    by 0x5596537: KDevelop::TextDocument::close(KDevelop::IDocument::DocumentSaveMode) (textdocument.cpp:495)
#
==29016==    by 0xA0F3F33: Sublime::Area::closeView(Sublime::View*) (area.cpp:431)
#
==29016==    by 0xA10351A: Sublime::MainWindowPrivate::widgetCloseRequest(QWidget*) (mainwindow_p.cpp:612)
#
==29016==    by 0xA105395: Sublime::MainWindowPrivate::qt_metacall(QMetaObject::Call, int, void**) (mainwindow_p.moc:130)
#
==29016==    by 0x61F670E: QMetaObject::activate(QObject*, QMetaObject const*, int, void**) (qobject.cpp:3272)
#
==29016==
#
==29016== Invalid read of size 8
#
==29016==    at 0x5850900: KTextEditor::SmartRange::removeChildRange(KTextEditor::SmartRange*) (smartrange.cpp:357)
#
==29016==    by 0x585208A: KTextEditor::SmartRange::setParentRange(KTextEditor::SmartRange*) (smartrange.cpp:602)
#
==29016==    by 0x25DA4606: KateSmartRange::setParentRange(KTextEditor::SmartRange*) (katesmartrange.cpp:193)
#
==29016==    by 0x9D0C161: KDevelop::EditorIntegrator::releaseRange(KTextEditor::SmartRange*) (editorintegrator.cpp:369)
#
==29016==    by 0x9D0AE87: KDevelop::DocumentRangeObject::setSmartRange(KTextEditor::SmartRange*, KDevelop::DocumentRangeObject::RangeOwning) (documentrangeobject.cpp:187)
#
==29016==    by 0x9D3578A: KDevelop::deconvertDUChainInternal(KDevelop::DUContext*) (duchain.cpp:1470)
#
==29016==    by 0x9D3592F: KDevelop::DUChain::documentAboutToBeDeletedFinal(KTextEditor::Document*) (duchain.cpp:1495)
#
==29016==    by 0x9D35AF2: KDevelop::DUChain::qt_metacall(QMetaObject::Call, int, void**) (duchain.moc:167)
#
==29016==    by 0x61F670E: QMetaObject::activate(QObject*, QMetaObject const*, int, void**) (qobject.cpp:3272)
#
==29016==    by 0x9D0DB01: KDevelop::EditorIntegratorStatic::documentAboutToBeDeletedFinal(KTextEditor::Document*) (editorintegratorstatic.moc:119)
#
==29016==    by 0x9D0E232: KDevelop::EditorIntegratorStatic::removeDocument(KTextEditor::Document*) (editorintegratorstatic.cpp:125)
#
==29016==    by 0x5596551: KDevelop::TextDocument::close(KDevelop::IDocument::DocumentSaveMode) (textdocument.cpp:499)
#
==29016==  Address 0x13745e50 is 144 bytes inside a block of size 752 free'd
#
==29016==    at 0x4C25C8D: operator delete(void*) (in /usr/lib64/valgrind/vgpreload_memcheck-amd64-linux.so)
#
==29016==    by 0x61F3AE3: QObjectPrivate::deleteChildren() (qobject.cpp:1949)
#
==29016==    by 0x672E64F: QWidget::~QWidget() (qwidget.cpp:1560)
#
==29016==    by 0x55969A8: KDevelop::TextEditorWidget::~TextEditorWidget() (textdocument.cpp:621)
#
==29016==    by 0x55964D3: KDevelop::TextView::~TextView() (textdocument.cpp:523)
#
==29016==    by 0x5596508: KDevelop::TextView::~TextView() (textdocument.cpp:526)
#
==29016==    by 0x5595C97: KDevelop::PartDocument::close(KDevelop::IDocument::DocumentSaveMode) (partdocument.cpp:136)
#
==29016==    by 0x5596537: KDevelop::TextDocument::close(KDevelop::IDocument::DocumentSaveMode) (textdocument.cpp:495)
#
==29016==    by 0xA0F3F33: Sublime::Area::closeView(Sublime::View*) (area.cpp:431)
#
==29016==    by 0xA10351A: Sublime::MainWindowPrivate::widgetCloseRequest(QWidget*) (mainwindow_p.cpp:612)
#
==29016==    by 0xA105395: Sublime::MainWindowPrivate::qt_metacall(QMetaObject::Call, int, void**) (mainwindow_p.moc:130)
#
==29016==    by 0x61F670E: QMetaObject::activate(QObject*, QMetaObject const*, int, void**) (qobject.cpp:3272)
#
==29016==
#
==29016== Invalid read of size 8
#
==29016==    at 0x5851C00: KTextEditor::SmartRange::insertChildRange(KTextEditor::SmartRange*) (smartrange.cpp:317)
#
==29016==    by 0x58520A2: KTextEditor::SmartRange::setParentRange(KTextEditor::SmartRange*) (smartrange.cpp:609)
#
==29016==    by 0x9D0C1EA: KDevelop::EditorIntegrator::releaseRange(KTextEditor::SmartRange*) (editorintegrator.cpp:372)
#
==29016==    by 0x9D0AE87: KDevelop::DocumentRangeObject::setSmartRange(KTextEditor::SmartRange*, KDevelop::DocumentRangeObject::RangeOwning) (documentrangeobject.cpp:187)
#
==29016==    by 0x9D35716: KDevelop::deconvertDUChainInternal(KDevelop::DUContext*) (duchain.cpp:1477)
#
==29016==    by 0x9D3573E: KDevelop::deconvertDUChainInternal(KDevelop::DUContext*) (duchain.cpp:1475)
#
==29016==    by 0x9D3592F: KDevelop::DUChain::documentAboutToBeDeletedFinal(KTextEditor::Document*) (duchain.cpp:1495)
#
==29016==    by 0x9D35AF2: KDevelop::DUChain::qt_metacall(QMetaObject::Call, int, void**) (duchain.moc:167)
#
==29016==    by 0x61F670E: QMetaObject::activate(QObject*, QMetaObject const*, int, void**) (qobject.cpp:3272)
#
==29016==    by 0x9D0DB01: KDevelop::EditorIntegratorStatic::documentAboutToBeDeletedFinal(KTextEditor::Document*) (editorintegratorstatic.moc:119)
#
==29016==    by 0x9D0E232: KDevelop::EditorIntegratorStatic::removeDocument(KTextEditor::Document*) (editorintegratorstatic.cpp:125)
#
==29016==    by 0x5596551: KDevelop::TextDocument::close(KDevelop::IDocument::DocumentSaveMode) (textdocument.cpp:499)
#
==29016==  Address 0x13745e50 is 144 bytes inside a block of size 752 free'd
#
==29016==    at 0x4C25C8D: operator delete(void*) (in /usr/lib64/valgrind/vgpreload_memcheck-amd64-linux.so)
#
==29016==    by 0x61F3AE3: QObjectPrivate::deleteChildren() (qobject.cpp:1949)
#
==29016==    by 0x672E64F: QWidget::~QWidget() (qwidget.cpp:1560)
#
==29016==    by 0x55969A8: KDevelop::TextEditorWidget::~TextEditorWidget() (textdocument.cpp:621)
#
==29016==    by 0x55964D3: KDevelop::TextView::~TextView() (textdocument.cpp:523)
#
==29016==    by 0x5596508: KDevelop::TextView::~TextView() (textdocument.cpp:526)
#
==29016==    by 0x5595C97: KDevelop::PartDocument::close(KDevelop::IDocument::DocumentSaveMode) (partdocument.cpp:136)
#
==29016==    by 0x5596537: KDevelop::TextDocument::close(KDevelop::IDocument::DocumentSaveMode) (textdocument.cpp:495)
#
==29016==    by 0xA0F3F33: Sublime::Area::closeView(Sublime::View*) (area.cpp:431)
#
==29016==    by 0xA10351A: Sublime::MainWindowPrivate::widgetCloseRequest(QWidget*) (mainwindow_p.cpp:612)
#
==29016==    by 0xA105395: Sublime::MainWindowPrivate::qt_metacall(QMetaObject::Call, int, void**) (mainwindow_p.moc:130)
#
==29016==    by 0x61F670E: QMetaObject::activate(QObject*, QMetaObject const*, int, void**) (qobject.cpp:3272)
#
==29016==
#
==29016== Invalid read of size 8
#
==29016==    at 0x25DA523D: KateSmartRange::~KateSmartRange() (katesmartrange.cpp:56)
#
==29016==    by 0x25DA52E8: KateSmartRange::~KateSmartRange() (katesmartrange.cpp:60)
#
==29016==    by 0x9D0C219: KDevelop::EditorIntegrator::releaseRange(KTextEditor::SmartRange*) (editorintegrator.cpp:374)
#
==29016==    by 0x9D0AE87: KDevelop::DocumentRangeObject::setSmartRange(KTextEditor::SmartRange*, KDevelop::DocumentRangeObject::RangeOwning) (documentrangeobject.cpp:187)
#
==29016==    by 0x9D35716: KDevelop::deconvertDUChainInternal(KDevelop::DUContext*) (duchain.cpp:1477)
#
==29016==    by 0x9D3592F: KDevelop::DUChain::documentAboutToBeDeletedFinal(KTextEditor::Document*) (duchain.cpp:1495)
#
==29016==    by 0x9D35AF2: KDevelop::DUChain::qt_metacall(QMetaObject::Call, int, void**) (duchain.moc:167)
#
==29016==    by 0x61F670E: QMetaObject::activate(QObject*, QMetaObject const*, int, void**) (qobject.cpp:3272)
#
==29016==    by 0x9D0DB01: KDevelop::EditorIntegratorStatic::documentAboutToBeDeletedFinal(KTextEditor::Document*) (editorintegratorstatic.moc:119)
#
==29016==    by 0x9D0E232: KDevelop::EditorIntegratorStatic::removeDocument(KTextEditor::Document*) (editorintegratorstatic.cpp:125)
#
==29016==    by 0x5596551: KDevelop::TextDocument::close(KDevelop::IDocument::DocumentSaveMode) (textdocument.cpp:499)
#
==29016==    by 0xA0F3F33: Sublime::Area::closeView(Sublime::View*) (area.cpp:431)
#
==29016==  Address 0x13745e50 is 144 bytes inside a block of size 752 free'd
#
==29016==    at 0x4C25C8D: operator delete(void*) (in /usr/lib64/valgrind/vgpreload_memcheck-amd64-linux.so)
#
==29016==    by 0x61F3AE3: QObjectPrivate::deleteChildren() (qobject.cpp:1949)
#
==29016==    by 0x672E64F: QWidget::~QWidget() (qwidget.cpp:1560)
#
==29016==    by 0x55969A8: KDevelop::TextEditorWidget::~TextEditorWidget() (textdocument.cpp:621)
#
==29016==    by 0x55964D3: KDevelop::TextView::~TextView() (textdocument.cpp:523)
#
==29016==    by 0x5596508: KDevelop::TextView::~TextView() (textdocument.cpp:526)
#
==29016==    by 0x5595C97: KDevelop::PartDocument::close(KDevelop::IDocument::DocumentSaveMode) (partdocument.cpp:136)
#
==29016==    by 0x5596537: KDevelop::TextDocument::close(KDevelop::IDocument::DocumentSaveMode) (textdocument.cpp:495)
#
==29016==    by 0xA0F3F33: Sublime::Area::closeView(Sublime::View*) (area.cpp:431)
#
==29016==    by 0xA10351A: Sublime::MainWindowPrivate::widgetCloseRequest(QWidget*) (mainwindow_p.cpp:612)
#
==29016==    by 0xA105395: Sublime::MainWindowPrivate::qt_metacall(QMetaObject::Call, int, void**) (mainwindow_p.moc:130)
#
==29016==    by 0x61F670E: QMetaObject::activate(QObject*, QMetaObject const*, int, void**) (qobject.cpp:3272)
#
==29016==
#
==29016== Invalid read of size 8
#
==29016==    at 0x5850900: KTextEditor::SmartRange::removeChildRange(KTextEditor::SmartRange*) (smartrange.cpp:357)
#
==29016==    by 0x585208A: KTextEditor::SmartRange::setParentRange(KTextEditor::SmartRange*) (smartrange.cpp:602)
#
==29016==    by 0x5852200: KTextEditor::SmartRange::~SmartRange() (smartrange.cpp:198)
#
==29016==    by 0x25DA5288: KateSmartRange::~KateSmartRange() (katesmartrange.cpp:48)
#
==29016==    by 0x25DA52E8: KateSmartRange::~KateSmartRange() (katesmartrange.cpp:60)
#
==29016==    by 0x5850325: KTextEditor::SmartRange::deleteChildRanges() (qalgorithms.h:322)
#
==29016==    by 0x58521F6: KTextEditor::SmartRange::~SmartRange() (smartrange.cpp:196)
#
==29016==    by 0x25DA5288: KateSmartRange::~KateSmartRange() (katesmartrange.cpp:48)
#
==29016==    by 0x25DA52E8: KateSmartRange::~KateSmartRange() (katesmartrange.cpp:60)
#
==29016==    by 0x9D0C219: KDevelop::EditorIntegrator::releaseRange(KTextEditor::SmartRange*) (editorintegrator.cpp:374)
#
==29016==    by 0x9D0AE87: KDevelop::DocumentRangeObject::setSmartRange(KTextEditor::SmartRange*, KDevelop::DocumentRangeObject::RangeOwning) (documentrangeobject.cpp:187)
#
==29016==    by 0x9D35716: KDevelop::deconvertDUChainInternal(KDevelop::DUContext*) (duchain.cpp:1477)
#
==29016==  Address 0x13745e50 is 144 bytes inside a block of size 752 free'd
#
==29016==    at 0x4C25C8D: operator delete(void*) (in /usr/lib64/valgrind/vgpreload_memcheck-amd64-linux.so)
#
==29016==    by 0x61F3AE3: QObjectPrivate::deleteChildren() (qobject.cpp:1949)
#
==29016==    by 0x672E64F: QWidget::~QWidget() (qwidget.cpp:1560)
#
==29016==    by 0x55969A8: KDevelop::TextEditorWidget::~TextEditorWidget() (textdocument.cpp:621)
#
==29016==    by 0x55964D3: KDevelop::TextView::~TextView() (textdocument.cpp:523)
#
==29016==    by 0x5596508: KDevelop::TextView::~TextView() (textdocument.cpp:526)
#
==29016==    by 0x5595C97: KDevelop::PartDocument::close(KDevelop::IDocument::DocumentSaveMode) (partdocument.cpp:136)
#
==29016==    by 0x5596537: KDevelop::TextDocument::close(KDevelop::IDocument::DocumentSaveMode) (textdocument.cpp:495)
#
==29016==    by 0xA0F3F33: Sublime::Area::closeView(Sublime::View*) (area.cpp:431)
#
==29016==    by 0xA10351A: Sublime::MainWindowPrivate::widgetCloseRequest(QWidget*) (mainwindow_p.cpp:612)
#
==29016==    by 0xA105395: Sublime::MainWindowPrivate::qt_metacall(QMetaObject::Call, int, void**) (mainwindow_p.moc:130)
#
==29016==    by 0x61F670E: QMetaObject::activate(QObject*, QMetaObject const*, int, void**) (qobject.cpp:3272)
#
==29016==
Comment 9 Milian Wolff 2010-07-01 20:55:12 UTC
here an experimental patch, but since I cannot reproduce that issue, I'd like to hear your testing results:

http://pastebin.com/4MjQXFsF
Comment 10 Milian Wolff 2010-07-02 23:44:49 UTC
fixed in both 1.0 and master with my patch, lets hope that fixes it - if not please reopen.